Tool: validate_pass_jwt
Validates the JWT representation of a pass, or the unencoded JWT payload as a JSON string for a pass.
The following sample demonstrate how to use curl to invoke the validate_pass_jwt MCP tool.
| Curl Request |
|---|
curl --location 'https://paydeveloper.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "validate_pass_jwt", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for validating the JWT representation of a pass, or the unencoded JWT payload as a JSON string for a pass.
ValidatePassJwtRequest
| JSON representation |
|---|
{ // Union field |
| Fields | |
|---|---|
Union field resource. The resource to validate. One of these must be set. resource can be only one of the following: |
|
passJwt |
A string representing a JWT of the format described at https://developers.google.com/wallet/reference/rest/v1/Jwt. |
passJson |
A JSON string representing the unencoded JWT payload for a pass of the format described at https://developers.google.com/wallet/reference/rest/v1/Jwt. This can be set to either the entire JSON representation described at this link or just the contents of the payload field holding the relevant pass classes and objects. |
Output Schema
Response message for validating the JWT representation of a pass, or the unencoded JWT payload as a JSON string for a pass.
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌